com.vuze.plugins.mlab.tools.ndt.swingemu

## Class JApplet

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JFrame
    - - com.vuze.plugins.mlab.tools.ndt.swingemu.JApplet

- Direct Known Subclasses:
    Tcpbw100

      public class JApplet
      extends JFrame

  Emulation of javax.swing.JApplet for the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of an applet container to allow the NDT tool to run in headless environments. The applet extends JFrame functionality but provides no actual applet context or browser integration.

  All operations are no-ops that return null values, maintaining API compatibility without requiring an actual graphical display system or browser environment.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JApplet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppletContext` | `getAppletContext()`
    `URL` | `getCodeBase()`
    `String` | `getParameter(String name)`
    `void` | `showStatus(String str)`
    `void` | `start()`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.JFrame

      `destroy, dispose, getContentPane, toBack`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, add, add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JApplet

          public JApplet()

  - ### Method Detail

    - #### getAppletContext

          public AppletContext getAppletContext()

    - #### getCodeBase

          public URL getCodeBase()

    - #### getParameter

          public String getParameter(String name)

    - #### showStatus

          public void showStatus(String str)

    - #### start

          public void start()